# &kde;-Benutzerhandbuch

Sebastian
Sauer

    mail@dipe.org

22.10.2008
0.01.01
kross
1

# `kross`

&kde;-Anwendung zur Ausführung von Kross-Skripten.

## Synopsis

    kross --help Allgemeine Optionen Qt-Optionen KDE-Optionen Datei

## Beschreibung

`kross` führt sog. kross-Skripte aus, die in &kde;-Javascript, Python, Ruby, Java oder Falcon geschrieben sind.

## Allgemeine Optionen

`--author`

  Zeigt Informationen über den Autor.

`--help`

  Hilfe zu verfügbaren Optionen anzeigen.

`--help-all`

  Alle Optionen anzeigen

`--help-kde`

  Spezielle Optionen für KDE anzeigen

`--help-qt`

  Spezielle Optionen für Qt anzeigen

`--license`

  Lizenz-Informationen anzeigen

`-v``--version`

  Versionsinformation anzeigen

## Anwendungsoptionen

`file`...

  Die Datei mit den auszuführenden Skripten.

## Benutzung

`kross` `Datei` führt das Skript in der `Datei` aus, nachdem das Interpreter-Modul für die entsprechende Skriptsprache geladen wurde. Die Skriptsprache wird anhand der Dateierweiterung erkannt.

Wenn Sie das Paket kdebindings installieren, werden noch weitere Sprachen neben &kde;-Javascript unterstützt.

## Siehe auch

kdeoptions(7), qtoptions(7), python(1), ruby(1), kjs(1), java(1), falcon(1)

Weitere Informationen und Anleitungen finden Sie auf http://kross.dipe.org/solution.html.

## Fehler

Berichten Sie Fehler auf bugs.kde.org.